Index: library/doc/html/functions_vars.html
===================================================================
--- doc/html/functions_vars.html (revision 375)
+++ library/doc/html/functions_vars.html (revision 385)
@@ -143,5 +143,5 @@
 , <a class="el" href="classbdm_1_1multiBM.html#044263356944c92209eecd39a5187d25">bdm::multiBM</a>
 , <a class="el" href="classbdm_1_1eDirich.html#f25886a49b4667af61245de81c83b5d2">bdm::eDirich</a>
-, <a class="el" href="classbdm_1_1merger.html#1a85d299f202a70afe0cdc1045c26a5d">bdm::merger</a>
+, <a class="el" href="classbdm_1_1merger__base.html#972f64f6f388b929cf94d2c478116f14">bdm::merger_base</a>
 </ul>
 <h3><a class="anchor" name="index_c">- c -</a></h3><ul>
@@ -169,7 +169,7 @@
 : <a class="el" href="classbdm_1_1MemDS.html#a724f4cbfc32e79bacc044253234e260">bdm::MemDS</a>
 <li>DBG
-: <a class="el" href="classbdm_1_1merger.html#14081d8c5cffdcc6c2f81cb61da41dbe">bdm::merger</a>
+: <a class="el" href="classbdm_1_1merger__base.html#dd180c651a75a131d125305f6bb017f7">bdm::merger_base</a>
 <li>dbg
-: <a class="el" href="classbdm_1_1merger.html#2b99a4a9384dc088dc164372d206138f">bdm::merger</a>
+: <a class="el" href="classbdm_1_1merger__base.html#7b0b7549b8335cdd26faee68093da3ad">bdm::merger_base</a>
 <li>delays
 : <a class="el" href="classbdm_1_1MemDS.html#166522aed4d3b12d9b3c2afaf6673301">bdm::MemDS</a>
@@ -206,5 +206,5 @@
 : <a class="el" href="classbdm_1_1mratio.html#cda5bd23ba60146d69e1f804ff7710c7">bdm::mratio</a>
 <li>dls
-: <a class="el" href="classbdm_1_1merger.html#ea3c9f4739f857877fd5285b3973289c">bdm::merger</a>
+: <a class="el" href="classbdm_1_1merger__base.html#09bc4d43dec350a40d17953b8b59d3b7">bdm::merger_base</a>
 , <a class="el" href="classbdm_1_1mprod.html#acf679b3b1d48629c5a042d9ac0d973f">bdm::mprod</a>
 , <a class="el" href="classbdm_1_1eprod.html#6b5a9be71a644f6009e7beda6c762a43">bdm::eprod</a>
@@ -221,6 +221,4 @@
 </ul>
 <h3><a class="anchor" name="index_e">- e -</a></h3><ul>
-<li>effss_coef
-: <a class="el" href="classbdm_1_1merger.html#045974350a3612ef4080eab6360b3d70">bdm::merger</a>
 <li>entries
 : <a class="el" href="classbdm_1_1logger.html#c54566a4554089443a20b2a49ed1a61f">bdm::logger</a>
@@ -228,29 +226,26 @@
 : <a class="el" href="classbdm_1_1mpdf.html#5eea43c56d38e4441bfb30270db949c0">bdm::mpdf</a>
 <li>epdf
-: <a class="el" href="classbdm_1_1mlnorm.html#150ad6acb223b0a0abeaf92346686dcd">bdm::mlnorm&lt; sq_T &gt;</a>
+: <a class="el" href="classbdm_1_1mgnorm.html#8f7a376a1d2197e0634557e88e03104a">bdm::mgnorm&lt; sq_T &gt;</a>
+, <a class="el" href="classbdm_1_1mgamma.html#bdc9f1e9e03c09e91103fee269864438">bdm::mgamma</a>
+, <a class="el" href="classbdm_1_1mlnorm.html#150ad6acb223b0a0abeaf92346686dcd">bdm::mlnorm&lt; sq_T &gt;</a>
+, <a class="el" href="classbdm_1_1migamma.html#a31b39d4179551b593c9e0d7d756783a">bdm::migamma</a>
 <li>Epdf
 : <a class="el" href="classbdm_1_1mmix.html#0c4dd6ca6556ddd8ae3c5f3257c04b60">bdm::mmix</a>
-<li>epdf
-: <a class="el" href="classbdm_1_1mgnorm.html#8f7a376a1d2197e0634557e88e03104a">bdm::mgnorm&lt; sq_T &gt;</a>
-, <a class="el" href="classbdm_1_1mgamma.html#bdc9f1e9e03c09e91103fee269864438">bdm::mgamma</a>
-, <a class="el" href="classbdm_1_1migamma.html#a31b39d4179551b593c9e0d7d756783a">bdm::migamma</a>
 <li>epdfs
 : <a class="el" href="classbdm_1_1mprod.html#eca722ed1b219727c6c0f8cbc6bf1e51">bdm::mprod</a>
 , <a class="el" href="classbdm_1_1eprod.html#fa0b0981730f0a8339b9ff3e29d78391">bdm::eprod</a>
 <li>eSmp
-: <a class="el" href="classbdm_1_1merger.html#522d43f7aa13fe6701e93fba174dec94">bdm::merger</a>
+: <a class="el" href="classbdm_1_1merger__base.html#a042ce6ee1fb91048ea89bec9934718e">bdm::merger_base</a>
 <li>est
-: <a class="el" href="classbdm_1_1MultiModel.html#d665551d045b1a1055eeb9185558ff0b">bdm::MultiModel</a>
-, <a class="el" href="classbdm_1_1Kalman.html#383f329ff18bbe219254c8b3b916f40d">bdm::Kalman&lt; sq_T &gt;</a>
-, <a class="el" href="classbdm_1_1multiBM.html#9ecc6878abbd20eb8d8e43b6ab3f941a">bdm::multiBM</a>
+: <a class="el" href="classbdm_1_1multiBM.html#9ecc6878abbd20eb8d8e43b6ab3f941a">bdm::multiBM</a>
+, <a class="el" href="classbdm_1_1MultiModel.html#d665551d045b1a1055eeb9185558ff0b">bdm::MultiModel</a>
 , <a class="el" href="classbdm_1_1PF.html#dc049265b9086cad7071f98d00a2b9af">bdm::PF</a>
 , <a class="el" href="classbdm_1_1MixEF.html#9413fb7f1836237aac807fb9f245e4f6">bdm::MixEF</a>
 , <a class="el" href="classbdm_1_1ARX.html#11474a627367f81b76830cb8477cf026">bdm::ARX</a>
+, <a class="el" href="classbdm_1_1Kalman.html#383f329ff18bbe219254c8b3b916f40d">bdm::Kalman&lt; sq_T &gt;</a>
 <li>evalll
 : <a class="el" href="classbdm_1_1BM.html#faff0ad12556fe7dc0e2807d4fd938ee">bdm::BM</a>
 </ul>
 <h3><a class="anchor" name="index_f">- f -</a></h3><ul>
-<li>fix_smp
-: <a class="el" href="classbdm_1_1merger.html#05dc6d9876677fcf84806d39f24e5509">bdm::merger</a>
 <li>frg
 : <a class="el" href="classbdm_1_1BMEF.html#1331865e10fb1ccef65bb4c47fa3be64">bdm::BMEF</a>
@@ -308,8 +303,8 @@
 <li>maxlen
 : <a class="el" href="classbdm_1_1memlog.html#a690ebd91430b5973855c9b4c9cf1b1d">bdm::memlog</a>
+<li>METHOD
+: <a class="el" href="classbdm_1_1merger__base.html#ee197330820127f3d12106ddee6b25c7">bdm::merger_base</a>
 <li>method
 : <a class="el" href="classbdm_1_1MixEF.html#a2376ddadb7573532404452d0c2dd28a">bdm::MixEF</a>
-<li>Mix
-: <a class="el" href="classbdm_1_1merger.html#67ae71cbf0686d7c7bf116fa5db86d81">bdm::merger</a>
 <li>model
 : <a class="el" href="classbdm_1_1ArxDS.html#0aa9d8d35792159dc9611802f6c190eb">bdm::ArxDS</a>
@@ -320,6 +315,6 @@
 <li>mu
 : <a class="el" href="classbdm_1_1mlognorm.html#7d0063f77d899ef22e8c5edd642176d2">bdm::mlognorm</a>
+, <a class="el" href="classbdm_1_1KalmanFull.html#2defb75e58892615c5f95fd844f3a666">bdm::KalmanFull</a>
 , <a class="el" href="classbdm_1_1enorm.html#c702a194720853570d08b65482f842c7">bdm::enorm&lt; sq_T &gt;</a>
-, <a class="el" href="classbdm_1_1KalmanFull.html#2defb75e58892615c5f95fd844f3a666">bdm::KalmanFull</a>
 </ul>
 <h3><a class="anchor" name="index_n">- n -</a></h3><ul>
@@ -328,9 +323,6 @@
 , <a class="el" href="classbdm_1_1MixEF.html#38ca1d86e977d1c38810a3c95bf074a5">bdm::MixEF</a>
 , <a class="el" href="classbdm_1_1eEmp.html#9798006271ca77629855113f1283a031">bdm::eEmp</a>
-, <a class="el" href="classbdm_1_1compositepdf.html#7ca3cd8ed92a7154f5b9ff13b1e9d52a">bdm::compositepdf</a>
 <li>names
 : <a class="el" href="classbdm_1_1logger.html#68ca1f05cf3d414ba0f39211977b8d02">bdm::logger</a>
-<li>Nc
-: <a class="el" href="classbdm_1_1merger.html#214ca7c566e8f75d45bb243d7c74580d">bdm::merger</a>
 <li>nk
 : <a class="el" href="classbdm_1_1euni.html#31bb13e8449a8eff35246d46dae35c20">bdm::euni</a>
@@ -340,8 +332,8 @@
 : <a class="el" href="classbdm_1_1egiw.html#322414c32d9a21a006a5aab0311f64fd">bdm::egiw</a>
 <li>Ns
-: <a class="el" href="classbdm_1_1merger.html#e91b83e6d9076848c71ae27664072109">bdm::merger</a>
+: <a class="el" href="classbdm_1_1merger__base.html#52e33b1aa153fa700cc036be2b12f9bd">bdm::merger_base</a>
 <li>nu
-: <a class="el" href="classbdm_1_1egiw.html#447eacf19d4f4083872686f044814dc4">bdm::egiw</a>
-, <a class="el" href="classbdm_1_1ARX.html#740b0582f180ba13cae91d66e9bdb67f">bdm::ARX</a>
+: <a class="el" href="classbdm_1_1ARX.html#740b0582f180ba13cae91d66e9bdb67f">bdm::ARX</a>
+, <a class="el" href="classbdm_1_1egiw.html#447eacf19d4f4083872686f044814dc4">bdm::egiw</a>
 </ul>
 <h3><a class="anchor" name="index_o">- o -</a></h3><ul>
@@ -409,5 +401,5 @@
 : <a class="el" href="classbdm_1_1Kalman.html#3fe475a1e920b20b63bb342c0e1571f7">bdm::Kalman&lt; sq_T &gt;</a>
 <li>rvzs
-: <a class="el" href="classbdm_1_1merger.html#135b938f841cb88ad00a8bbded818703">bdm::merger</a>
+: <a class="el" href="classbdm_1_1merger__base.html#4e66803b04fc04b21b3716b3a317421f">bdm::merger_base</a>
 </ul>
 <h3><a class="anchor" name="index_s">- s -</a></h3><ul>
@@ -464,8 +456,8 @@
 <h3><a class="anchor" name="index_z">- z -</a></h3><ul>
 <li>zdls
-: <a class="el" href="classbdm_1_1merger.html#6c48bf36ec1f3f7b52e3159cf428a193">bdm::merger</a>
+: <a class="el" href="classbdm_1_1merger__base.html#8098858f2edb1294122cbe4f05bf8694">bdm::merger_base</a>
 </ul>
 </div>
-<hr size="1"><address style="text-align: right;"><small>Generated on Mon Jun 15 13:47:07 2009 for mixpp by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Wed Jun 17 14:13:28 2009 for mixpp by&nbsp;
 <a href="http://www.doxygen.org/index.html">
 <img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.8 </small></address>