Index: library/doc/html/classbdm_1_1merger__base-members.html
===================================================================
--- library/doc/html/classbdm_1_1merger__base-members.html (revision 385)
+++ library/doc/html/classbdm_1_1merger__base-members.html (revision 396)
@@ -5,5 +5,5 @@
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.5.8 -->
+<!-- Generated by Doxygen 1.5.9 -->
 <script type="text/javascript">
 <!--
@@ -72,8 +72,9 @@
   <tr class="memlist"><td><a class="el" href="classbdm_1_1merger__base.html#972f64f6f388b929cf94d2c478116f14">beta</a></td><td><a class="el" href="classbdm_1_1merger__base.html">bdm::merger_base</a></td><td><code> [protected]</code></td></tr>
   <tr bgcolor="#f0f0f0"><td><b>compositepdf</b>() (defined in <a class="el" href="classbdm_1_1compositepdf.html">bdm::compositepdf</a>)</td><td><a class="el" href="classbdm_1_1compositepdf.html">bdm::compositepdf</a></td><td><code> [inline]</code></td></tr>
+  <tr bgcolor="#f0f0f0"><td><b>compositepdf</b>(Array&lt; mpdf * &gt; A0, bool own=false) (defined in <a class="el" href="classbdm_1_1compositepdf.html">bdm::compositepdf</a>)</td><td><a class="el" href="classbdm_1_1compositepdf.html">bdm::compositepdf</a></td><td><code> [inline]</code></td></tr>
   <tr class="memlist"><td><a class="el" href="classbdm_1_1epdf.html#e584eac5579c1b6384947ecf66166c77">condition</a>(const RV &amp;rv) const </td><td><a class="el" href="classbdm_1_1epdf.html">bdm::epdf</a></td><td><code> [inline, virtual]</code></td></tr>
   <tr bgcolor="#f0f0f0"><td><b>covariance</b>() const  (defined in <a class="el" href="classbdm_1_1merger__base.html">bdm::merger_base</a>)</td><td><a class="el" href="classbdm_1_1merger__base.html">bdm::merger_base</a></td><td><code> [inline]</code></td></tr>
   <tr class="memlist"><td><a class="el" href="classbdm_1_1merger__base.html#dd180c651a75a131d125305f6bb017f7">DBG</a></td><td><a class="el" href="classbdm_1_1merger__base.html">bdm::merger_base</a></td><td><code> [protected]</code></td></tr>
-  <tr class="memlist"><td><a class="el" href="classbdm_1_1merger__base.html#7b0b7549b8335cdd26faee68093da3ad">dbg</a></td><td><a class="el" href="classbdm_1_1merger__base.html">bdm::merger_base</a></td><td><code> [protected]</code></td></tr>
+  <tr class="memlist"><td><a class="el" href="classbdm_1_1merger__base.html#b2c6278b996696cb711cb7be900ccf5b">dbg_file</a></td><td><a class="el" href="classbdm_1_1merger__base.html">bdm::merger_base</a></td><td><code> [protected]</code></td></tr>
   <tr class="memlist"><td><a class="el" href="classbdm_1_1epdf.html#16adac20ec7fe07e1ea0b27d917788ce">dim</a></td><td><a class="el" href="classbdm_1_1epdf.html">bdm::epdf</a></td><td><code> [protected]</code></td></tr>
   <tr class="memlist"><td><a class="el" href="classbdm_1_1epdf.html#7083a65f7b7a0d0d13b2c516bd2ec29c">dimension</a>() const </td><td><a class="el" href="classbdm_1_1epdf.html">bdm::epdf</a></td><td><code> [inline]</code></td></tr>
@@ -85,16 +86,19 @@
   <tr class="memlist"><td><a class="el" href="classbdm_1_1epdf.html#deab266d63c236c277538867d5c3f249">evallog</a>(const vec &amp;val) const </td><td><a class="el" href="classbdm_1_1epdf.html">bdm::epdf</a></td><td><code> [inline, virtual]</code></td></tr>
   <tr class="memlist"><td><a class="el" href="classbdm_1_1epdf.html#34956d4dd3176eeb5937cf48a1546b62">evallog_m</a>(const mat &amp;Val) const </td><td><a class="el" href="classbdm_1_1epdf.html">bdm::epdf</a></td><td><code> [inline, virtual]</code></td></tr>
-  <tr class="memlist"><td><a class="el" href="classbdm_1_1bdmroot.html#d4602efd3ad9fb9e4532426e4f488df8">from_setting</a>(const Setting &amp;root)</td><td><a class="el" href="classbdm_1_1bdmroot.html">bdm::bdmroot</a></td><td><code> [inline, virtual]</code></td></tr>
+  <tr class="memlist"><td><a class="el" href="classbdm_1_1epdf.html#512dbf057299e871fbc61ed55acb5888">evallog_m</a>(const Array&lt; vec &gt; &amp;Avec) const </td><td><a class="el" href="classbdm_1_1epdf.html">bdm::epdf</a></td><td><code> [inline, virtual]</code></td></tr>
+  <tr class="memlist"><td><a class="el" href="classbdm_1_1merger__base.html#10dd390fc6f0d1733bb07cb51977160c">from_setting</a>(const Setting &amp;set)</td><td><a class="el" href="classbdm_1_1merger__base.html">bdm::merger_base</a></td><td><code> [inline, virtual]</code></td></tr>
   <tr class="memlist"><td><a class="el" href="classbdm_1_1compositepdf.html#c73d39acc4378eee6a63155c3517d3c9">getrv</a>(bool checkoverlap=false)</td><td><a class="el" href="classbdm_1_1compositepdf.html">bdm::compositepdf</a></td><td></td></tr>
   <tr class="memlist"><td><a class="el" href="classbdm_1_1epdf.html#c4b863ff84c7a4882fb3ad18556027f9">isnamed</a>() const </td><td><a class="el" href="classbdm_1_1epdf.html">bdm::epdf</a></td><td><code> [inline]</code></td></tr>
   <tr class="memlist"><td><a class="el" href="classbdm_1_1epdf.html#3fb2ece54f720b62ad325e61214fa0a1">marginal</a>(const RV &amp;rv) const </td><td><a class="el" href="classbdm_1_1epdf.html">bdm::epdf</a></td><td><code> [inline, virtual]</code></td></tr>
   <tr class="memlist"><td><a class="el" href="classbdm_1_1merger__base.html#021acbf1a6e3bfde2a1b9c1c73cea6e0">mean</a>() const </td><td><a class="el" href="classbdm_1_1merger__base.html">bdm::merger_base</a></td><td><code> [inline, virtual]</code></td></tr>
-  <tr class="memlist"><td><a class="el" href="classbdm_1_1merger__base.html#fcaf1960643dba08fd17dec57b05c1f2">merge</a>()</td><td><a class="el" href="classbdm_1_1merger__base.html">bdm::merger_base</a></td><td><code> [inline]</code></td></tr>
+  <tr class="memlist"><td><a class="el" href="classbdm_1_1merger__base.html#df4a0094dcc40b3057675443bccb6511">merge</a>()</td><td><a class="el" href="classbdm_1_1merger__base.html">bdm::merger_base</a></td><td><code> [inline, virtual]</code></td></tr>
   <tr class="memlist"><td><a class="el" href="classbdm_1_1merger__base.html#1f52bf47d2cdd23a95b19e3da902e431">merge_points</a>(mat &amp;lW)</td><td><a class="el" href="classbdm_1_1merger__base.html">bdm::merger_base</a></td><td></td></tr>
   <tr class="memlist"><td><a class="el" href="classbdm_1_1merger__base.html#f9d8c6c26c6520dbb17d4e80f635e7be">merger_base</a>()</td><td><a class="el" href="classbdm_1_1merger__base.html">bdm::merger_base</a></td><td><code> [inline]</code></td></tr>
-  <tr class="memlist"><td><a class="el" href="classbdm_1_1merger__base.html#ed5cbd925628893a51c36bc1807f4a75">merger_base</a>(const Array&lt; mpdf * &gt; &amp;S)</td><td><a class="el" href="classbdm_1_1merger__base.html">bdm::merger_base</a></td><td><code> [inline]</code></td></tr>
+  <tr class="memlist"><td><a class="el" href="classbdm_1_1merger__base.html#9c81a9624506da8e557c56d1af845de0">merger_base</a>(const Array&lt; mpdf * &gt; &amp;S, bool own=false)</td><td><a class="el" href="classbdm_1_1merger__base.html">bdm::merger_base</a></td><td><code> [inline]</code></td></tr>
   <tr class="memlist"><td><a class="el" href="classbdm_1_1merger__base.html#ee197330820127f3d12106ddee6b25c7">METHOD</a></td><td><a class="el" href="classbdm_1_1merger__base.html">bdm::merger_base</a></td><td><code> [protected]</code></td></tr>
   <tr class="memlist"><td><a class="el" href="classbdm_1_1compositepdf.html#23faf2debc4dde10836393b8c665914a">mpdfs</a></td><td><a class="el" href="classbdm_1_1compositepdf.html">bdm::compositepdf</a></td><td><code> [protected]</code></td></tr>
-  <tr class="memlist"><td><a class="el" href="classbdm_1_1merger__base.html#52e33b1aa153fa700cc036be2b12f9bd">Ns</a></td><td><a class="el" href="classbdm_1_1merger__base.html">bdm::merger_base</a></td><td><code> [protected]</code></td></tr>
+  <tr class="memlist"><td><a class="el" href="classbdm_1_1merger__base.html#39d263d92aa85553730c44958a92a541">Npoints</a></td><td><a class="el" href="classbdm_1_1merger__base.html">bdm::merger_base</a></td><td><code> [protected]</code></td></tr>
+  <tr class="memlist"><td><a class="el" href="classbdm_1_1merger__base.html#4f6cd7ebe1c3c7556039dbfeb00f71f5">Nsources</a></td><td><a class="el" href="classbdm_1_1merger__base.html">bdm::merger_base</a></td><td><code> [protected]</code></td></tr>
+  <tr bgcolor="#f0f0f0"><td><b>owning_mpdfs</b> (defined in <a class="el" href="classbdm_1_1compositepdf.html">bdm::compositepdf</a>)</td><td><a class="el" href="classbdm_1_1compositepdf.html">bdm::compositepdf</a></td><td><code> [protected]</code></td></tr>
   <tr class="memlist"><td><a class="el" href="classbdm_1_1epdf.html#0a7705e80601957f7226d333a0a6d539">qbounds</a>(vec &amp;lb, vec &amp;ub, double percentage=0.95) const </td><td><a class="el" href="classbdm_1_1epdf.html">bdm::epdf</a></td><td><code> [inline, virtual]</code></td></tr>
   <tr class="memlist"><td><a class="el" href="classbdm_1_1epdf.html#62c5b8ff71d9ebe6cd58d3c342eb1dc8">rv</a></td><td><a class="el" href="classbdm_1_1epdf.html">bdm::epdf</a></td><td><code> [protected]</code></td></tr>
@@ -103,22 +107,25 @@
   <tr class="memlist"><td><a class="el" href="classbdm_1_1epdf.html#b4cf45fd83cc7573ede9fe1215256058">sample_m</a>(int N) const </td><td><a class="el" href="classbdm_1_1epdf.html">bdm::epdf</a></td><td><code> [virtual]</code></td></tr>
   <tr class="memlist"><td><a class="el" href="classbdm_1_1merger__base.html#e4514484bac243585b0a1e44325e8add">set_debug_file</a>(const string fname)</td><td><a class="el" href="classbdm_1_1merger__base.html">bdm::merger_base</a></td><td><code> [inline]</code></td></tr>
-  <tr bgcolor="#f0f0f0"><td><b>set_elements</b>(const Array&lt; mpdf * &gt; A0) (defined in <a class="el" href="classbdm_1_1compositepdf.html">bdm::compositepdf</a>)</td><td><a class="el" href="classbdm_1_1compositepdf.html">bdm::compositepdf</a></td><td><code> [inline]</code></td></tr>
-  <tr class="memlist"><td><a class="el" href="classbdm_1_1merger__base.html#5c85ba8a7c5246674891c6ebbf59ef54">set_parameters</a>(double beta0, MERGER_METHOD MTH)</td><td><a class="el" href="classbdm_1_1merger__base.html">bdm::merger_base</a></td><td><code> [inline]</code></td></tr>
+  <tr bgcolor="#f0f0f0"><td><b>set_elements</b>(Array&lt; mpdf * &gt; A0, bool own=false) (defined in <a class="el" href="classbdm_1_1compositepdf.html">bdm::compositepdf</a>)</td><td><a class="el" href="classbdm_1_1compositepdf.html">bdm::compositepdf</a></td><td><code> [inline]</code></td></tr>
+  <tr class="memlist"><td><a class="el" href="classbdm_1_1merger__base.html#e779dc28c822539be5131a46e6ec82aa">set_method</a>(MERGER_METHOD MTH, double beta0=0.0)</td><td><a class="el" href="classbdm_1_1merger__base.html">bdm::merger_base</a></td><td><code> [inline]</code></td></tr>
   <tr bgcolor="#f0f0f0"><td><b>set_parameters</b>(int dim0) (defined in <a class="el" href="classbdm_1_1epdf.html">bdm::epdf</a>)</td><td><a class="el" href="classbdm_1_1epdf.html">bdm::epdf</a></td><td><code> [inline]</code></td></tr>
   <tr class="memlist"><td><a class="el" href="classbdm_1_1epdf.html#f423e28448dbb69ef4905295ec8de8ff">set_rv</a>(const RV &amp;rv0)</td><td><a class="el" href="classbdm_1_1epdf.html">bdm::epdf</a></td><td><code> [inline]</code></td></tr>
-  <tr class="memlist"><td><a class="el" href="classbdm_1_1merger__base.html#bde0fd02ae620b4130e768fa70aafa94">set_sources</a>(const Array&lt; mpdf * &gt; &amp;Sources)</td><td><a class="el" href="classbdm_1_1merger__base.html">bdm::merger_base</a></td><td><code> [inline]</code></td></tr>
-  <tr class="memlist"><td><a class="el" href="classbdm_1_1merger__base.html#c02a1c55042c40cd190e240f1329d8d4">set_support</a>(epdf &amp;overall, int N)</td><td><a class="el" href="classbdm_1_1merger__base.html">bdm::merger_base</a></td><td><code> [inline]</code></td></tr>
+  <tr class="memlist"><td><a class="el" href="classbdm_1_1merger__base.html#591d4ba19c9ece40aa96ee44d05e148d">set_sources</a>(const Array&lt; mpdf * &gt; &amp;Sources, bool own)</td><td><a class="el" href="classbdm_1_1merger__base.html">bdm::merger_base</a></td><td><code> [inline]</code></td></tr>
+  <tr class="memlist"><td><a class="el" href="classbdm_1_1merger__base.html#337e1e56ef95d3d3ee922e8b81be95f8">set_support</a>(const Array&lt; vec &gt; &amp;XYZ, const int dimsize)</td><td><a class="el" href="classbdm_1_1merger__base.html">bdm::merger_base</a></td><td><code> [inline]</code></td></tr>
+  <tr class="memlist"><td><a class="el" href="classbdm_1_1merger__base.html#3e2c8028be0ccd10058d030250a91a60">set_support</a>(const Array&lt; vec &gt; &amp;XYZ, const ivec &amp;gridsize)</td><td><a class="el" href="classbdm_1_1merger__base.html">bdm::merger_base</a></td><td><code> [inline]</code></td></tr>
+  <tr class="memlist"><td><a class="el" href="classbdm_1_1merger__base.html#28af7b365ecd8c3a15f0e934496871e0">set_support</a>(const epdf &amp;overall, int N)</td><td><a class="el" href="classbdm_1_1merger__base.html">bdm::merger_base</a></td><td><code> [inline]</code></td></tr>
   <tr class="memlist"><td><a class="el" href="classbdm_1_1compositepdf.html#c71fc2c51f49d797e61f479f543c75ce">setrvc</a>(const RV &amp;rv, RV &amp;rvc)</td><td><a class="el" href="classbdm_1_1compositepdf.html">bdm::compositepdf</a></td><td></td></tr>
-  <tr class="memlist"><td><a class="el" href="classbdm_1_1bdmroot.html#dd74cb898b22b95b7ee528e040a07618">to_setting</a>(Setting &amp;root) const </td><td><a class="el" href="classbdm_1_1bdmroot.html">bdm::bdmroot</a></td><td><code> [inline, virtual]</code></td></tr>
-  <tr class="memlist"><td><a class="el" href="classbdm_1_1bdmroot.html#e47a8bd9337478fa4e46d5a2a4336f9a">to_string</a>()</td><td><a class="el" href="classbdm_1_1bdmroot.html">bdm::bdmroot</a></td><td><code> [inline, virtual]</code></td></tr>
-  <tr class="memlist"><td><a class="el" href="classbdm_1_1bdmroot.html#d8cc21ea15fc723065eed5f3100757a5">validate</a>()</td><td><a class="el" href="classbdm_1_1bdmroot.html">bdm::bdmroot</a></td><td><code> [inline, virtual]</code></td></tr>
+  <tr class="memlist"><td><a class="el" href="classbdm_1_1root.html#67d954d255ede776eade7334d4895790">to_setting</a>(Setting &amp;set) const </td><td><a class="el" href="classbdm_1_1root.html">bdm::root</a></td><td><code> [inline, virtual]</code></td></tr>
+  <tr class="memlist"><td><a class="el" href="classbdm_1_1root.html#af0e6941ba5919cae1bc530e2181b109">to_string</a>()</td><td><a class="el" href="classbdm_1_1root.html">bdm::root</a></td><td><code> [inline, virtual]</code></td></tr>
+  <tr class="memlist"><td><a class="el" href="classbdm_1_1merger__base.html#400e222d4c41dc57ac19e6735429c4cb">validate</a>()</td><td><a class="el" href="classbdm_1_1merger__base.html">bdm::merger_base</a></td><td><code> [inline, virtual]</code></td></tr>
   <tr class="memlist"><td><a class="el" href="classbdm_1_1merger__base.html#76fe431922844d132b4e1ecf70f53c99">variance</a>() const </td><td><a class="el" href="classbdm_1_1merger__base.html">bdm::merger_base</a></td><td><code> [inline, virtual]</code></td></tr>
   <tr class="memlist"><td><a class="el" href="classbdm_1_1merger__base.html#8098858f2edb1294122cbe4f05bf8694">zdls</a></td><td><a class="el" href="classbdm_1_1merger__base.html">bdm::merger_base</a></td><td><code> [protected]</code></td></tr>
-  <tr class="memlist"><td><a class="el" href="classbdm_1_1bdmroot.html#9c191bccc52a133d32d84edbc1a19c49">~bdmroot</a>()</td><td><a class="el" href="classbdm_1_1bdmroot.html">bdm::bdmroot</a></td><td><code> [inline, virtual]</code></td></tr>
+  <tr bgcolor="#f0f0f0"><td><b>~compositepdf</b>() (defined in <a class="el" href="classbdm_1_1compositepdf.html">bdm::compositepdf</a>)</td><td><a class="el" href="classbdm_1_1compositepdf.html">bdm::compositepdf</a></td><td><code> [inline]</code></td></tr>
   <tr class="memlist"><td><a class="el" href="classbdm_1_1merger__base.html#32d7e1dd6d91f77c81df7e82aac18689">~merger_base</a>()</td><td><a class="el" href="classbdm_1_1merger__base.html">bdm::merger_base</a></td><td><code> [inline, virtual]</code></td></tr>
+  <tr class="memlist"><td><a class="el" href="classbdm_1_1root.html#0f905a5b03b3656b47eff7344d67ce55">~root</a>()</td><td><a class="el" href="classbdm_1_1root.html">bdm::root</a></td><td><code> [inline, virtual]</code></td></tr>
 </table></div>
-<hr size="1"><address style="text-align: right;"><small>Generated on Wed Jun 17 14:13:29 2009 for mixpp by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Wed Jun 24 13:35:58 2009 for mixpp by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.8 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.9 </small></address>
 </body>
 </html>