Index: library/doc/html/datasources_8h.html
===================================================================
--- library/doc/html/emix_8h.html (revision 396)
+++ library/doc/html/datasources_8h.html (revision 397)
@@ -1,9 +1,9 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
 <html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
-<title>mixpp: emix.h File Reference</title>
+<title>mixpp: datasources.h File Reference</title>
 <link href="tabs.css" rel="stylesheet" type="text/css">
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.5.9 -->
+<!-- Generated by Doxygen 1.5.8 -->
 <script type="text/javascript">
 <!--
@@ -65,52 +65,51 @@
 </div>
 <div class="contents">
-<h1>emix.h File Reference</h1>Probability distributions for Mixtures of pdfs.  
+<h1>datasources.h File Reference</h1>Common DataSources.  
 <a href="#_details">More...</a>
 <p>
-<code>#include &quot;<a class="el" href="exp__family_8h_source.html">exp_family.h</a>&quot;</code><br>
+<code>#include &quot;<a class="el" href="bdmbase_8h-source.html">../base/bdmbase.h</a>&quot;</code><br>
+<code>#include &quot;<a class="el" href="exp__family_8h-source.html">../stat/exp_family.h</a>&quot;</code><br>
+<code>#include &quot;../base/user_info.h&quot;</code><br>
 
 <p>
-<a href="emix_8h_source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
+<a href="datasources_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Classes</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1mratio.html">bdm::mratio</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1MemDS.html">bdm::MemDS</a></td></tr>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Class representing ratio of two densities which arise e.g. by applying the Bayes rule. It represents density in the form: <p class="formulaDsp">
-<img class="formulaDsp" alt="\[ f(rv|rvc) = \frac{f(rv,rvc)}{f(rvc)} \]" src="form_35.png">
-<p>
- where <img class="formulaInl" alt="$ f(rvc) = \int f(rv,rvc) d\ rv $" src="form_36.png">.  <a href="classbdm_1_1mratio.html#_details">More...</a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1emix.html">bdm::emix</a></td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Memory storage of off-line data column-wise.  <a href="classbdm_1_1MemDS.html#_details">More...</a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1FileDS.html">bdm::FileDS</a></td></tr>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Mixture of epdfs.  <a href="classbdm_1_1emix.html#_details">More...</a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1egiwmix.html">bdm::egiwmix</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1ITppFileDS.html">bdm::ITppFileDS</a></td></tr>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Mixture of egiws.  <a href="classbdm_1_1egiwmix.html#_details">More...</a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1mprod.html">bdm::mprod</a></td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Read Data Matrix from an IT file.  <a href="classbdm_1_1ITppFileDS.html#_details">More...</a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1CsvFileDS.html">bdm::CsvFileDS</a></td></tr>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Chain rule decomposition of <a class="el" href="classbdm_1_1epdf.html" title="Probability density function with numerical statistics, e.g. posterior density.">epdf</a>.  <a href="classbdm_1_1mprod.html#_details">More...</a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1eprod.html">bdm::eprod</a></td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">CSV file data storage The constructor creates <code>Data</code> matrix from the records in a CSV file <code>fname</code>. The orientation can be of two types: 1. <code>BY_COL</code> which is default - the data are stored in columns; one column per time <img class="formulaInl" alt="$t$" src="form_15.png">, one row per data item. 2. <code>BY_ROW</code> if the data are stored the classical CSV style. Then each column stores the values for data item, for ex. <img class="formulaInl" alt="$[y_{t} y_{t-1} ...]$" src="form_16.png">, one row for each discrete time instant.  <a href="classbdm_1_1CsvFileDS.html#_details">More...</a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1ArxDS.html">bdm::ArxDS</a></td></tr>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Product of independent epdfs. For dependent pdfs, use <a class="el" href="classbdm_1_1mprod.html" title="Chain rule decomposition of epdf.">mprod</a>.  <a href="classbdm_1_1eprod.html#_details">More...</a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1mmix.html">bdm::mmix</a></td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Mixture of mpdfs with constant weights, all mpdfs are of equal type.  <a href="classbdm_1_1mmix.html#_details">More...</a><br></td></tr>
-<tr><td colspan="2"><br><h2>Defines</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="07267dcd6834194cfed517197ab1e2ad"></a><!-- doxytag: member="emix.h::LOG2" ref="07267dcd6834194cfed517197ab1e2ad" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><b>LOG2</b>&nbsp;&nbsp;&nbsp;0.69314718055995</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generator of <a class="el" href="classbdm_1_1ARX.html" title="Linear Autoregressive model with Gaussian noise.">ARX</a> data.  <a href="classbdm_1_1ArxDS.html#_details">More...</a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><b>bdm::stateDS</b></td></tr>
 
 <tr><td colspan="2"><br><h2>Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="428af356345f842c031e231cfae423fe"></a><!-- doxytag: member="emix.h::UIREGISTER" ref="428af356345f842c031e231cfae423fe" args="(mprod)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><b>bdm::UIREGISTER</b> (mprod)</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="05631c006d04c698b12d0d7d006c6a7a"></a><!-- doxytag: member="datasources.h::UIREGISTER" ref="05631c006d04c698b12d0d7d006c6a7a" args="(ITppFileDS)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>bdm::UIREGISTER</b> (ITppFileDS)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="73c3e5afec7f7de0d38f1c7c2d0fa7e9"></a><!-- doxytag: member="datasources.h::UIREGISTER" ref="73c3e5afec7f7de0d38f1c7c2d0fa7e9" args="(ArxDS)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>bdm::UIREGISTER</b> (ArxDS)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9ff207d4ab8aefb981a9f111278d9500"></a><!-- doxytag: member="datasources.h::UIREGISTER" ref="9ff207d4ab8aefb981a9f111278d9500" args="(stateDS)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>bdm::UIREGISTER</b> (stateDS)</td></tr>
 
 </table>
-<hr><h2>Detailed Description</h2>
-Probability distributions for Mixtures of pdfs. 
+<hr><a name="_details"></a><h2>Detailed Description</h2>
+Common DataSources. 
 <p>
 <dl class="author" compact><dt><b>Author:</b></dt><dd>Vaclav Smidl.</dd></dl>
 ----------------------------------- BDM++ - C++ library for Bayesian Decision Making under Uncertainty<p>
 Using IT++ for numerical operations ----------------------------------- </div>
-<hr size="1"><address style="text-align: right;"><small>Generated on Wed Jun 24 13:35:46 2009 for mixpp by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Tue Jun 23 19:52:50 2009 for mixpp by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.9 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.8 </small></address>
 </body>
 </html>