Index: library/doc/html/classbdm_1_1ParticularUI.html
===================================================================
--- library/doc/html/classbdm_1_1ParticularUI.html (revision 397)
+++ library/doc/html/classbdm_1_1ParticularUI.html (revision 398)
@@ -69,5 +69,5 @@
 </div>
 <div class="contents">
-<h1>bdm::ParticularUI&lt; T &gt; Class Template Reference</h1><!-- doxytag: class="bdm::ParticularUI" --><!-- doxytag: inherits="bdm::UI" -->The main userinfo template class. You should derive this class whenever you need a new userinfo of a class which is compound from smaller elements (all having its own userinfo class prepared).  
+<h1>bdm::ParticularUI&lt; T &gt; Class Template Reference</h1><!-- doxytag: class="bdm::ParticularUI" --><!-- doxytag: inherits="bdm::UI" -->The only <a class="el" href="classbdm_1_1UI.html" title="UI is an abstract class and it is intended for internal purposes only.">UI</a> descendant class which is not intended for direct use. It should be accessed within the <a class="el" href="user__info_8h.html#4f9de2f17e844047726487b99def99c6" title="Macro for registration of class into map of user-infos, registered class is scriptable...">UIREGISTER</a> macro only.  
 <a href="#_details">More...</a>
 <p>
@@ -79,92 +79,101 @@
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3a75820d3cad5d2034f25b2252ce6be7"></a><!-- doxytag: member="bdm::ParticularUI::ParticularUI" ref="3a75820d3cad5d2034f25b2252ce6be7" args="(const string &amp;class_name)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1ParticularUI.html#3a75820d3cad5d2034f25b2252ce6be7">ParticularUI</a> (const string &amp;class_name)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">default constructor, which is intentionally declared as private <br></td></tr>
 <tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a14fea8c7372a3d0a736e4ed0b617702"></a><!-- doxytag: member="bdm::ParticularUI::new_instance" ref="a14fea8c7372a3d0a736e4ed0b617702" args="() const " -->
 <a class="el" href="classbdm_1_1root.html">root</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1ParticularUI.html#a14fea8c7372a3d0a736e4ed0b617702">new_instance</a> () const </td></tr>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Method assembling a typeless instance, it is implemented in descendant class ParticularUI&lt;T&gt;. <br></td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A method returning a brand new instance of class T, this method is the reason why there have to be a parameterless construcotor in class T. <br></td></tr>
 <tr><td colspan="2"><br><h2>Static Public Attributes</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">static const <a class="el" href="classbdm_1_1ParticularUI.html">ParticularUI</a>&lt; T &gt; &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1ParticularUI.html#b57f333e006b56d35571effcf7315c08">ui</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="18a208b7549160ae6aeb884dc2bcd90f"></a><!-- doxytag: member="bdm::ParticularUI::factory" ref="18a208b7549160ae6aeb884dc2bcd90f" args="" -->
+static const <a class="el" href="classbdm_1_1ParticularUI.html">ParticularUI</a>&lt; T &gt; &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1ParticularUI.html#18a208b7549160ae6aeb884dc2bcd90f">factory</a></td></tr>
 
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The only instance of this class (each type T has its own instance) which is used as a factory for processing related <a class="el" href="classbdm_1_1UI.html" title="UI is an abstract class and it is intended for internal purposes only.">UI</a>. <br></td></tr>
 <tr><td colspan="2"><br><h2>Static Private Member Functions</h2></td></tr>
+<tr><td colspan="2"><div class="groupHeader">Initialization of classes</div></td></tr>
+<tr><td colspan="2"><div class="groupText">The type T has to be a <a class="el" href="classbdm_1_1root.html" title="Root class of BDM objects.">root</a> descendant class <br><br></div></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="dda27449f8bd19d54db9ccfb2644e908"></a><!-- doxytag: member="bdm::ParticularUI::build" ref="dda27449f8bd19d54db9ccfb2644e908" args="(const Setting &amp;element, const string &amp;name)" -->
+template&lt;class T &gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">static T *&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classbdm_1_1UI.html#dda27449f8bd19d54db9ccfb2644e908">build</a> (const Setting &amp;element, const string &amp;name)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The new instance of type T* is constructed and initialized with values stored in the Setting element[name]. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="f0eccc7bbe4b680f3e1cb84b455a1125"></a><!-- doxytag: member="bdm::ParticularUI::build" ref="f0eccc7bbe4b680f3e1cb84b455a1125" args="(const Setting &amp;element, const int index)" -->
+template&lt;class T &gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">static T *&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classbdm_1_1UI.html#f0eccc7bbe4b680f3e1cb84b455a1125">build</a> (const Setting &amp;element, const int index)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The new instance of type T* is constructed and initialized with values stored in the Setting element[index]. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="6e2da6a142fecf5f21e0bb86a7211cb4"></a><!-- doxytag: member="bdm::ParticularUI::build" ref="6e2da6a142fecf5f21e0bb86a7211cb4" args="(const Setting &amp;element)" -->
+template&lt;class T &gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">static T *&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classbdm_1_1UI.html#6e2da6a142fecf5f21e0bb86a7211cb4">build</a> (const Setting &amp;element)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The new instance of type T* is constructed and initialized with values stored in the Setting element. <br></td></tr>
+<tr><td colspan="2"><div class="groupHeader">Initialization of structures</div></td></tr>
+<tr><td colspan="2"><div class="groupText">The type T has to be int, double, string, vec, ivec or mat. <br><br></div></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="652bfd23f5052e4f1cb317057d74a3e2"></a><!-- doxytag: member="bdm::ParticularUI::get" ref="652bfd23f5052e4f1cb317057d74a3e2" args="(T &amp;instance, const Setting &amp;element, const string &amp;name)" -->
+template&lt;class T &gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classbdm_1_1UI.html#652bfd23f5052e4f1cb317057d74a3e2">get</a> (T &amp;instance, const Setting &amp;element, const string &amp;name)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The existing instance of type T is initialized with values stored in the Setting element[name]. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="3d04bb3d7dbcf0da0b4d5d3d5b7df51a"></a><!-- doxytag: member="bdm::ParticularUI::get" ref="3d04bb3d7dbcf0da0b4d5d3d5b7df51a" args="(T &amp;instance, const Setting &amp;element, const int index)" -->
+template&lt;class T &gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classbdm_1_1UI.html#3d04bb3d7dbcf0da0b4d5d3d5b7df51a">get</a> (T &amp;instance, const Setting &amp;element, const int index)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The existing instance of type T is initialized with values stored in the Setting element[index]. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="25747ac6d0232aa7102dbb316f65ddce"></a><!-- doxytag: member="bdm::ParticularUI::get" ref="25747ac6d0232aa7102dbb316f65ddce" args="(T &amp;instance, const Setting &amp;element)" -->
+template&lt;class T &gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classbdm_1_1UI.html#25747ac6d0232aa7102dbb316f65ddce">get</a> (T &amp;instance, const Setting &amp;element)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The existing instance of type T is initialized with values stored in the Setting element directly. <br></td></tr>
+<tr><td colspan="2"><div class="groupHeader">Initialization of arrays Array&lt;T&gt;</div></td></tr>
+<tr><td colspan="2"><div class="groupText">The type T has to be int, double, string, vec, ivec or mat, or pointer to any <a class="el" href="classbdm_1_1root.html" title="Root class of BDM objects.">root</a> descendant. <br><br></div></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="00bb5f2a328d272b0a3ffbda1a902d54"></a><!-- doxytag: member="bdm::ParticularUI::get" ref="00bb5f2a328d272b0a3ffbda1a902d54" args="(Array&lt; T &gt; &amp;array_to_load, const Setting &amp;element, const string &amp;name)" -->
+template&lt;class T &gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classbdm_1_1UI.html#00bb5f2a328d272b0a3ffbda1a902d54">get</a> (Array&lt; T &gt; &amp;array_to_load, const Setting &amp;element, const string &amp;name)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The existing array of type T is initialized with values stored in the Setting element[name]. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="b6a224b6aea027e167d3d565b39144e0"></a><!-- doxytag: member="bdm::ParticularUI::get" ref="b6a224b6aea027e167d3d565b39144e0" args="(Array&lt; T &gt; &amp;array_to_load, const Setting &amp;element, const int index)" -->
+template&lt;class T &gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classbdm_1_1UI.html#b6a224b6aea027e167d3d565b39144e0">get</a> (Array&lt; T &gt; &amp;array_to_load, const Setting &amp;element, const int index)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The existing array of type T is initialized with values stored in the Setting element[index]. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="4fc5efdc58e4e184218b6d5beeb5ceab"></a><!-- doxytag: member="bdm::ParticularUI::get" ref="4fc5efdc58e4e184218b6d5beeb5ceab" args="(Array&lt; T &gt; &amp;array_to_load, const Setting &amp;element)" -->
+template&lt;class T &gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classbdm_1_1UI.html#4fc5efdc58e4e184218b6d5beeb5ceab">get</a> (Array&lt; T &gt; &amp;array_to_load, const Setting &amp;element)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The existing array of type T is initialized with values stored in the Setting element. <br></td></tr>
+<tr><td colspan="2"><div class="groupHeader">Serialization of objects and structures into a new Setting</div></td></tr>
+<tr><td colspan="2"><div class="groupText">The new child Setting can be accessed either by its name - if some name is passed as a parameter - or by its integer index. In that case, the new element is added at the very end of the current list of child Settings. <br><br></div></td></tr>
 <tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="c83987949e6a9e79d6e093797ab7d917"></a><!-- doxytag: member="bdm::ParticularUI::save" ref="c83987949e6a9e79d6e093797ab7d917" args="(const T *const instance, Setting &amp;element, const string &amp;name=&quot;&quot;)" -->
 template&lt;class T &gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memTemplItemRight" valign="bottom"><b>save</b> (const T *const instance, Setting &amp;element, const string &amp;name=&quot;&quot;)</td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classbdm_1_1UI.html#c83987949e6a9e79d6e093797ab7d917">save</a> (const T *const instance, Setting &amp;element, const string &amp;name=&quot;&quot;)</td></tr>
 
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A <a class="el" href="classbdm_1_1root.html" title="Root class of BDM objects.">root</a> descendant instance is stored in the new child Setting appended to the passed element. <br></td></tr>
 <tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="4514f93573a9d9126c506d176fbd3163"></a><!-- doxytag: member="bdm::ParticularUI::save" ref="4514f93573a9d9126c506d176fbd3163" args="(const Array&lt; T &gt; &amp;array_to_save, Setting &amp;element, const string &amp;name=&quot;&quot;)" -->
 template&lt;class T &gt; </td></tr>
 <tr><td class="memTemplItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classbdm_1_1UI.html#4514f93573a9d9126c506d176fbd3163">save</a> (const Array&lt; T &gt; &amp;array_to_save, Setting &amp;element, const string &amp;name=&quot;&quot;)</td></tr>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This methods tries to save a double vec. <br></td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">An Array&lt;T&gt; instance is stored in the new child Setting appended to the passed element. <br></td></tr>
 <tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="42e908a4f1b09d701be69c8784a02df7"></a><!-- doxytag: member="bdm::ParticularUI::save" ref="42e908a4f1b09d701be69c8784a02df7" args="(const mat &amp;matrix, Setting &amp;element, const string &amp;name=&quot;&quot;)" -->
 static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1UI.html#42e908a4f1b09d701be69c8784a02df7">save</a> (const mat &amp;matrix, Setting &amp;element, const string &amp;name=&quot;&quot;)</td></tr>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This methods tries to save a double matrix. <br></td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A matrix(of type mat) is stored in the new child Setting appended to the passed element. <br></td></tr>
 <tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="cc2afb61a772d8571f7bb19065da4695"></a><!-- doxytag: member="bdm::ParticularUI::save" ref="cc2afb61a772d8571f7bb19065da4695" args="(const ivec &amp;vec, Setting &amp;element, const string &amp;name=&quot;&quot;)" -->
 static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1UI.html#cc2afb61a772d8571f7bb19065da4695">save</a> (const ivec &amp;vec, Setting &amp;element, const string &amp;name=&quot;&quot;)</td></tr>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This methods tries to save a double vec. <br></td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">An integer vector (of type ivec) is stored in the new child Setting appended to the passed element. <br></td></tr>
 <tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7c3b1846b2f29fb70e6a9d789daab808"></a><!-- doxytag: member="bdm::ParticularUI::save" ref="7c3b1846b2f29fb70e6a9d789daab808" args="(const vec &amp;vector, Setting &amp;element, const string &amp;name=&quot;&quot;)" -->
-static void&nbsp;</td><td class="memItemRight" valign="bottom"><b>save</b> (const vec &amp;vector, Setting &amp;element, const string &amp;name=&quot;&quot;)</td></tr>
+static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1UI.html#7c3b1846b2f29fb70e6a9d789daab808">save</a> (const vec &amp;vector, Setting &amp;element, const string &amp;name=&quot;&quot;)</td></tr>
 
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A double vector (of type vec) is stored in the new child Setting appended to the passed element. <br></td></tr>
 <tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7c822efd5f8550480d0756352d430c05"></a><!-- doxytag: member="bdm::ParticularUI::save" ref="7c822efd5f8550480d0756352d430c05" args="(const string &amp;str, Setting &amp;element, const string &amp;name=&quot;&quot;)" -->
 static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1UI.html#7c822efd5f8550480d0756352d430c05">save</a> (const string &amp;<a class="el" href="classbdm_1_1str.html">str</a>, Setting &amp;element, const string &amp;name=&quot;&quot;)</td></tr>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This methods tries to save a double vec. <br></td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A string is stored in the new child Setting appended to the passed element. <br></td></tr>
 <tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="8cd58216bcd732856846d18503c92d48"></a><!-- doxytag: member="bdm::ParticularUI::save" ref="8cd58216bcd732856846d18503c92d48" args="(const int &amp;integer, Setting &amp;element, const string &amp;name=&quot;&quot;)" -->
-static void&nbsp;</td><td class="memItemRight" valign="bottom"><b>save</b> (const int &amp;integer, Setting &amp;element, const string &amp;name=&quot;&quot;)</td></tr>
+static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1UI.html#8cd58216bcd732856846d18503c92d48">save</a> (const int &amp;integer, Setting &amp;element, const string &amp;name=&quot;&quot;)</td></tr>
 
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">An integer is stored in the new child Setting appended to the passed element. <br></td></tr>
 <tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4e943ed7b3e65c9fd2842670fa8cf4a8"></a><!-- doxytag: member="bdm::ParticularUI::save" ref="4e943ed7b3e65c9fd2842670fa8cf4a8" args="(const double &amp;real, Setting &amp;element, const string &amp;name=&quot;&quot;)" -->
-static void&nbsp;</td><td class="memItemRight" valign="bottom"><b>save</b> (const double &amp;real, Setting &amp;element, const string &amp;name=&quot;&quot;)</td></tr>
+static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1UI.html#4e943ed7b3e65c9fd2842670fa8cf4a8">save</a> (const double &amp;real, Setting &amp;element, const string &amp;name=&quot;&quot;)</td></tr>
 
-<tr><td colspan="2"><div class="groupHeader">Initialization of bdm::root descendant classes according the values stored in a Setting variable</div></td></tr>
-<tr><td colspan="2"><div class="groupText">Return value is by the second argument since it type checking via <code>dynamic_cast</code>. <br><br></div></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="f0eccc7bbe4b680f3e1cb84b455a1125"></a><!-- doxytag: member="bdm::ParticularUI::build" ref="f0eccc7bbe4b680f3e1cb84b455a1125" args="(const Setting &amp;element, const int index)" -->
-template&lt;class T &gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">static T *&nbsp;</td><td class="memTemplItemRight" valign="bottom"><b>build</b> (const Setting &amp;element, const int index)</td></tr>
-
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="6e2da6a142fecf5f21e0bb86a7211cb4"></a><!-- doxytag: member="bdm::ParticularUI::build" ref="6e2da6a142fecf5f21e0bb86a7211cb4" args="(const Setting &amp;element)" -->
-template&lt;class T &gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">static T *&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classbdm_1_1UI.html#6e2da6a142fecf5f21e0bb86a7211cb4">build</a> (const Setting &amp;element)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">VS: addition for <a class="el" href="classbdm_1_1root.html" title="Root class of BDM objects.">root</a> elements. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="dda27449f8bd19d54db9ccfb2644e908"></a><!-- doxytag: member="bdm::ParticularUI::build" ref="dda27449f8bd19d54db9ccfb2644e908" args="(const Setting &amp;element, const string &amp;name)" -->
-template&lt;class T &gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">static T *&nbsp;</td><td class="memTemplItemRight" valign="bottom"><b>build</b> (const Setting &amp;element, const string &amp;name)</td></tr>
-
-<tr><td colspan="2"><div class="groupHeader">Initialization of structures according the values stored in a Setting variable - TODO VYCET?!</div></td></tr>
-<tr><td colspan="2"><div class="groupText">This methods tries to build a new double matrix <br><br></div></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="652bfd23f5052e4f1cb317057d74a3e2"></a><!-- doxytag: member="bdm::ParticularUI::get" ref="652bfd23f5052e4f1cb317057d74a3e2" args="(T &amp;instance, const Setting &amp;element, const string &amp;name)" -->
-template&lt;class T &gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memTemplItemRight" valign="bottom"><b>get</b> (T &amp;instance, const Setting &amp;element, const string &amp;name)</td></tr>
-
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="3d04bb3d7dbcf0da0b4d5d3d5b7df51a"></a><!-- doxytag: member="bdm::ParticularUI::get" ref="3d04bb3d7dbcf0da0b4d5d3d5b7df51a" args="(T &amp;instance, const Setting &amp;element, const int index)" -->
-template&lt;class T &gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classbdm_1_1UI.html#3d04bb3d7dbcf0da0b4d5d3d5b7df51a">get</a> (T &amp;instance, const Setting &amp;element, const int index)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This methods tries to build a new double matrix. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="25747ac6d0232aa7102dbb316f65ddce"></a><!-- doxytag: member="bdm::ParticularUI::get" ref="25747ac6d0232aa7102dbb316f65ddce" args="(T &amp;instance, const Setting &amp;element)" -->
-template&lt;class T &gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classbdm_1_1UI.html#25747ac6d0232aa7102dbb316f65ddce">get</a> (T &amp;instance, const Setting &amp;element)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This methods tries to build a new double matrix. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="00bb5f2a328d272b0a3ffbda1a902d54"></a><!-- doxytag: member="bdm::ParticularUI::get" ref="00bb5f2a328d272b0a3ffbda1a902d54" args="(Array&lt; T &gt; &amp;array_to_load, const Setting &amp;element, const string &amp;name)" -->
-template&lt;class T &gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classbdm_1_1UI.html#00bb5f2a328d272b0a3ffbda1a902d54">get</a> (Array&lt; T &gt; &amp;array_to_load, const Setting &amp;element, const string &amp;name)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This methods tries to build a new double matrix. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="b6a224b6aea027e167d3d565b39144e0"></a><!-- doxytag: member="bdm::ParticularUI::get" ref="b6a224b6aea027e167d3d565b39144e0" args="(Array&lt; T &gt; &amp;array_to_load, const Setting &amp;element, const int index)" -->
-template&lt;class T &gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classbdm_1_1UI.html#b6a224b6aea027e167d3d565b39144e0">get</a> (Array&lt; T &gt; &amp;array_to_load, const Setting &amp;element, const int index)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This methods tries to build a new double matrix. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="4fc5efdc58e4e184218b6d5beeb5ceab"></a><!-- doxytag: member="bdm::ParticularUI::get" ref="4fc5efdc58e4e184218b6d5beeb5ceab" args="(Array&lt; T &gt; &amp;array_to_load, const Setting &amp;element)" -->
-template&lt;class T &gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classbdm_1_1UI.html#4fc5efdc58e4e184218b6d5beeb5ceab">get</a> (Array&lt; T &gt; &amp;array_to_load, const Setting &amp;element)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This methods tries to build a new double matrix. <br></td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A double is stored in the new child Setting appended to the passed element. <br></td></tr>
 </table>
 <hr><a name="_details"></a><h2>Detailed Description</h2>
@@ -172,26 +181,8 @@
  class bdm::ParticularUI&lt; T &gt;</h3>
 
-The main userinfo template class. You should derive this class whenever you need a new userinfo of a class which is compound from smaller elements (all having its own userinfo class prepared). <hr><h2>Member Data Documentation</h2>
-<a class="anchor" name="b57f333e006b56d35571effcf7315c08"></a><!-- doxytag: member="bdm::ParticularUI::ui" ref="b57f333e006b56d35571effcf7315c08" args="" -->
-<div class="memitem">
-<div class="memproto">
-<div class="memtemplate">
-template&lt;typename T &gt; </div>
-      <table class="memname">
-        <tr>
-          <td class="memname">const <a class="el" href="classbdm_1_1ParticularUI.html">ParticularUI</a>&lt;T&gt;&amp; <a class="el" href="classbdm_1_1ParticularUI.html">bdm::ParticularUI</a>&lt; T &gt;::<a class="el" href="classbdm_1_1ParticularUI.html#b57f333e006b56d35571effcf7315c08">ui</a><code> [static]</code>          </td>
-        </tr>
-      </table>
-</div>
-<div class="memdoc">
-
-<p>
-the only instance of this class (each type T has its own instance) which is used as a factory for processing related <a class="el" href="classbdm_1_1UI.html" title="UI is an abstract class and it is intended for internal purposes only.">UI</a> 
-</div>
-</div><p>
-<hr>The documentation for this class was generated from the following file:<ul>
+The only <a class="el" href="classbdm_1_1UI.html" title="UI is an abstract class and it is intended for internal purposes only.">UI</a> descendant class which is not intended for direct use. It should be accessed within the <a class="el" href="user__info_8h.html#4f9de2f17e844047726487b99def99c6" title="Macro for registration of class into map of user-infos, registered class is scriptable...">UIREGISTER</a> macro only. <hr>The documentation for this class was generated from the following file:<ul>
 <li><a class="el" href="user__info_8h-source.html">user_info.h</a></ul>
 </div>
-<hr size="1"><address style="text-align: right;"><small>Generated on Tue Jun 23 19:52:52 2009 for mixpp by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Wed Jun 24 21:53:05 2009 for mixpp by&nbsp;
 <a href="http://www.doxygen.org/index.html">
 <img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.8 </small></address>