Index: library/doc/html/functions_func_0x73.html
===================================================================
--- library/doc/html/functions_func_0x73.html (revision 398)
+++ library/doc/html/functions_func_0x73.html (revision 401)
@@ -141,5 +141,5 @@
 <li>set_method()
 : <a class="el" href="classbdm_1_1MixEF.html#664529d52cc667383b39eeb440ccd577">bdm::MixEF</a>
-, <a class="el" href="classbdm_1_1merger__base.html#e779dc28c822539be5131a46e6ec82aa">bdm::merger_base</a>
+, <a class="el" href="classbdm_1_1merger__base.html#86698b7fd1e4320e9830d7dc24ee6c9e">bdm::merger_base</a>
 <li>set_options()
 : <a class="el" href="classbdm_1_1BM.html#adb539fa2585c8a2a91c54e5aebf330e">bdm::BM</a>
@@ -154,6 +154,6 @@
 , <a class="el" href="classbdm_1_1EKF.html#00fec1a0a6a467eb83fb36c65eba7bcb">bdm::EKF&lt; sq_T &gt;</a>
 , <a class="el" href="classbdm_1_1EKFCh.html#50f9fbffad721f35e5ccb75d0f6b842a">bdm::EKFCh</a>
+, <a class="el" href="classbdm_1_1mgamma__fix.html#1bfd30e90db9dc1fbda4a9fbb0b716b2">bdm::mgamma_fix</a>
 , <a class="el" href="classbdm_1_1linfn.html#7e0e714b814532fc3e38daede24c5e68">bdm::linfn</a>
-, <a class="el" href="classbdm_1_1mgamma__fix.html#1bfd30e90db9dc1fbda4a9fbb0b716b2">bdm::mgamma_fix</a>
 , <a class="el" href="classbdm_1_1bilinfn.html#5a508fbb5fc013904d9b62b2231442de">bdm::bilinfn</a>
 , <a class="el" href="classbdm_1_1emix.html#3a107a6b808a081389ef17af951c234a">bdm::emix</a>
@@ -182,5 +182,5 @@
 , <a class="el" href="classbdm_1_1multiBM.html#dbe6b90d410dc062a233d1dc09eeba52">bdm::multiBM</a>
 <li>set_support()
-: <a class="el" href="classbdm_1_1merger__base.html#3e2c8028be0ccd10058d030250a91a60">bdm::merger_base</a>
+: <a class="el" href="classbdm_1_1merger__base.html#337e1e56ef95d3d3ee922e8b81be95f8">bdm::merger_base</a>
 <li>setCh()
 : <a class="el" href="classchmat.html#4c8b321967b14ed2616a2abb9498a979">chmat</a>
@@ -188,8 +188,8 @@
 : <a class="el" href="classchmat.html#a4fc7f9b0539b97c414442a22f3db6e8">chmat</a>
 , <a class="el" href="classfsqmat.html#922f8190c13987cbcdb33ec2bf5cf105">fsqmat</a>
+, <a class="el" href="classldmat.html#7619922b4de18830ce5351c6b5667e60">ldmat</a>
+, <a class="el" href="classfsqmat.html#03a8f49eb4d38a054ecc522be59cd2ad">fsqmat</a>
+, <a class="el" href="classchmat.html#4b9271097d8317d9514c5d0d62cccb39">chmat</a>
 , <a class="el" href="classldmat.html#0884a613b94fde61bfc84288e73ce57f">ldmat</a>
-, <a class="el" href="classfsqmat.html#03a8f49eb4d38a054ecc522be59cd2ad">fsqmat</a>
-, <a class="el" href="classldmat.html#7619922b4de18830ce5351c6b5667e60">ldmat</a>
-, <a class="el" href="classchmat.html#4b9271097d8317d9514c5d0d62cccb39">chmat</a>
 <li>setL()
 : <a class="el" href="classldmat.html#32ff66296627ff5341d7c0b973249614">ldmat</a>
@@ -198,22 +198,20 @@
 <li>SettingResolver()
 : <a class="el" href="classbdm_1_1SettingResolver.html#e2299746b95bf8af54a867aaf52fc8da">bdm::SettingResolver</a>
-<li>setup()
-: <a class="el" href="classitpp_1_1Gamma__RNG.html#dfaae19411e39aa87e1f72e409b6babe">itpp::Gamma_RNG</a>
 <li>setY()
 : <a class="el" href="classbdm_1_1eWishartCh.html#4eee757c0535c2a88bb20f0767c64981">bdm::eWishartCh</a>
 <li>sqmat()
-: <a class="el" href="classsqmat.html#5493a4a11a2b3c41de9cdd8ce305bb44">sqmat</a>
+: <a class="el" href="classsqmat.html#4268750c040c716b2c05037f725078a2">sqmat</a>
 <li>sqrt_mult()
 : <a class="el" href="classsqmat.html#6b79438b5d7544a9c8e110a145355d8f">sqmat</a>
-, <a class="el" href="classfsqmat.html#842a774077ee34ac3c36d180ab33e103">fsqmat</a>
 , <a class="el" href="classldmat.html#fc380626ced6f9244fb58c5f0231174d">ldmat</a>
 , <a class="el" href="classchmat.html#b22aa239dbaca33e3fb93b4f674d7051">chmat</a>
+, <a class="el" href="classfsqmat.html#842a774077ee34ac3c36d180ab33e103">fsqmat</a>
 <li>step()
-: <a class="el" href="classbdm_1_1logger.html#4f31c03578a7b9b30d8b1f8c338a37e8">bdm::logger</a>
+: <a class="el" href="classbdm_1_1memlog.html#69964f0472e53098528ee41507bdfc77">bdm::memlog</a>
 , <a class="el" href="classbdm_1_1ArxDS.html#57dfa26b23cc03d53b123fa7e0474b19">bdm::ArxDS</a>
-, <a class="el" href="classbdm_1_1memlog.html#69964f0472e53098528ee41507bdfc77">bdm::memlog</a>
+, <a class="el" href="classbdm_1_1DS.html#9a14c64d881e838ddc3a5617ee8a973b">bdm::DS</a>
 , <a class="el" href="classbdm_1_1dirfilelog.html#f79660645d09aa2d8bdd18923a721662">bdm::dirfilelog</a>
-, <a class="el" href="classbdm_1_1DS.html#9a14c64d881e838ddc3a5617ee8a973b">bdm::DS</a>
 , <a class="el" href="classbdm_1_1MemDS.html#21916feb3e5ff960855c09b06a0d279b">bdm::MemDS</a>
+, <a class="el" href="classbdm_1_1logger.html#4f31c03578a7b9b30d8b1f8c338a37e8">bdm::logger</a>
 <li>str()
 : <a class="el" href="classbdm_1_1str.html#7c6b9dccc6814d7bd1e8e2208a0d3f3f">bdm::str</a>
@@ -226,5 +224,5 @@
 </ul>
 </div>
-<hr size="1"><address style="text-align: right;"><small>Generated on Wed Jun 24 21:53:05 2009 for mixpp by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Wed Jul 1 13:05:56 2009 for mixpp by&nbsp;
 <a href="http://www.doxygen.org/index.html">
 <img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.8 </small></address>